Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Dali » Help setting up Dali in eclipse 3.5 on fedora 10, for use with RAP OSGI platform
Help setting up Dali in eclipse 3.5 on fedora 10, for use with RAP OSGI platform [message #613796] Thu, 05 February 2009 07:06
Tom H is currently offline Tom HFriend
Messages: 136
Registered: July 2009
Senior Member
Hi Dali Collective,

I am currently trying to setup Dali to work with a RAP application.

i) I have decided to use eclipselink as my JPA platform/implementation
ii) I am prototyping this with a MySQL 5.0x backend, and the mysql JDBC jar
iii) I installed the Dali 2.1 tools from the update site, and "installed
software" is currently showing;

"Java Persistence API Tools - EclipseLink Support (Optional)

though I can't see Dali installed anywhere - I am not sure how to confirm
this is installed correctly?
However I now have a "JPA" option in eclipse preferences, and I can set
JPA properties on my projects.

iv) I have installed the OSGi bundle from the eclipselink - version 1.0.2;
into the eclipse/dropins folder and restarted eclipse

v) in eclipse I can now set eclipselink as the JPA platform for my project
I have also set "discover annotated classes automatically" to true

vi) I have now switched to the JPA perspective and created a new
connection to my database,
it tests OK. I can create tables from the "Data source explorer" view.

vii) I can go to my project properties and set eclipselink as the JPA
platform, and set my previously created MySQL connection there.
However I cannot click "connect" it is grayed out - is that a problem?

viii) I can now go to the "JPA content" to edit the connection properties
in persistance.xml to use the previously created MySQL connection

ix) I have created a test class called "Cat" like so;
"public class Cat {

private long id;
private String name;
private String likes;
private Gender gender;"

and added getters and setters, except for setId.

What libs or jars do I need to add to my project to allow it to recognise
the Annotations?
Should I be adding the javax.persistence and eclipselink jar files from
the main eclipselink download, I don't understand exactly where I should
be getting those libs to add to my classpath.

Also I see no "Add Java Persistence..." wizard when right clicking my

I would be grateful for any help


Previous Topic:what would it meant to use "Generic" as the JPA platform
Next Topic:no JPA implentation information in "modify JPA facet" dialog
Goto Forum:

Current Time: Wed Mar 21 05:31:40 GMT 2018

Powered by FUDForum. Page generated in 0.01834 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software